summaryrefslogtreecommitdiffstats
path: root/regress
diff options
context:
space:
mode:
authorNicholas Marriott <nicholas.marriott@gmail.com>2020-06-18 21:01:45 +0100
committerNicholas Marriott <nicholas.marriott@gmail.com>2020-06-18 21:01:45 +0100
commit3df68d6b00ad554f4527f2057792fc6468ab9375 (patch)
treee43d9c8fc43a86fc0e08292773e512c878946b71 /regress
parent6c437d45ac90b2f62d6176c1ac14a717023cfaae (diff)
Fix regress test for am.
Diffstat (limited to 'regress')
-rw-r--r--regress/am-terminal.sh (renamed from regress/xenl-terminal.sh)2
-rw-r--r--regress/conf/2e0f96ac3e1c144ce48261a4c9d68a48.conf25
2 files changed, 26 insertions, 1 deletions
diff --git a/regress/xenl-terminal.sh b/regress/am-terminal.sh
index 07469ceb..94033468 100644
--- a/regress/xenl-terminal.sh
+++ b/regress/am-terminal.sh
@@ -13,7 +13,7 @@ TMP=$(mktemp)
trap "rm -f $TMP" 0 1 15
$TMUX2 -f/dev/null new -d || exit 1
-$TMUX2 set -as terminal-overrides ',*:xenl@' || exit 1
+$TMUX2 set -as terminal-overrides ',*:am@' || exit 1
$TMUX2 set -g status-right 'RRR' || exit 1
$TMUX2 set -g status-left 'LLL' || exit 1
$TMUX2 set -g window-status-current-format 'WWW' || exit 1
diff --git a/regress/conf/2e0f96ac3e1c144ce48261a4c9d68a48.conf b/regress/conf/2e0f96ac3e1c144ce48261a4c9d68a48.conf
new file mode 100644
index 00000000..df4c2b1c
--- /dev/null
+++ b/regress/conf/2e0f96ac3e1c144ce48261a4c9d68a48.conf
@@ -0,0 +1,25 @@
+bind -r Up if -F '#{pane_at_top}' '' 'selectp -U'
+bind -r Down if -F '#{pane_at_bottom}' '' 'selectp -D'
+bind -r Left if -F '#{pane_at_left}' '' 'selectp -L'
+bind -r Right if -F '#{pane_at_right}' '' 'selectp -R'
+
+bind -n WheelUpPane if -Ft= "#{mouse_any_flag}" "send -M" "send Up"
+bind -n WheelDownPane if -Ft= "#{mouse_any_flag}" "send -M" "send Down"
+
+bind w run 'tmux choose-tree -Nwf"##{==:##{session_name},#{session_name}}"'
+
+bind C {
+ splitw -f -l30% ''
+ set-hook -p pane-mode-changed 'if -F "#{!=:#{pane_mode},copy-mode}" "kill-pane"'
+ copy-mode -s'{last}'
+}
+
+bind -n C-DoubleClick1Pane if -F '#{m/r:^[^:]*:[0-9]+:,#{mouse_word}}' {
+ popup -w90% -h90% -KE -d '#{pane_current_path}' -R {
+ emacs `echo #{mouse_word}|awk -F: '{print "+" $2,$1}'`
+ }
+} {
+ popup -w90% -h90% -KE -d '#{pane_current_path}' -R {
+ emacs "#{mouse_word}"
+ }
+}